﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _566779NodesOnDifferentLevels : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("ParentID");
        table.Columns.Add("Text");

        table.Rows.Add(new String[] { "1", null, "Item 1" });
        table.Rows.Add(new String[] { "2", "1", "Item 1 0" });
        table.Rows.Add(new String[] { "3", "1", "Item 1 1" });
        table.Rows.Add(new String[] { "4", "1", "Item 1 2" });
        table.Rows.Add(new String[] { "5", "2", "Item 1 0 1" });
        table.Rows.Add(new String[] { "6", "3", "Item 1 1 0" });

        DataTable items = new DataTable();
        items.Columns.Add("ID");
        items.Columns.Add("NodeID");
        items.Columns.Add("Text");

        items.Rows.Add(new String[] { "1", "1", "Item 1" });
        items.Rows.Add(new String[] { "2", "2", "Item 1 0" });
        items.Rows.Add(new String[] { "3", "2", "Item 1 0 1" });
        items.Rows.Add(new String[] { "4", "3", "Item 1 1" });
        items.Rows.Add(new String[] { "5", "4", "Item 1 2" });
        items.Rows.Add(new String[] { "6", "5", "Item 1 0 0" });
        items.Rows.Add(new String[] { "7", "5", "Item 1 0 0 1" });

        RadOrgChart2.GroupEnabledBinding.GroupItemBindingSettings.DataFieldID = "ID";
        RadOrgChart2.GroupEnabledBinding.GroupItemBindingSettings.DataFieldNodeID = "NodeID";
        RadOrgChart2.GroupEnabledBinding.GroupItemBindingSettings.DataTextField = "Text";
        RadOrgChart2.GroupEnabledBinding.GroupItemBindingSettings.DataSource = items;

        RadOrgChart2.GroupEnabledBinding.NodeBindingSettings.DataFieldID = "ID";
        RadOrgChart2.GroupEnabledBinding.NodeBindingSettings.DataFieldParentID = "ParentID";
        RadOrgChart2.GroupEnabledBinding.NodeBindingSettings.DataSource = table;
        RadOrgChart2.DataBind();
    }
    protected void RadOrgChart2_NodeDataBound(object sender, Telerik.Web.UI.OrgChartNodeDataBoundEventArguments e)
    {
        if (e.Node.ID == "3")
            e.Node.CssClass = "OneLevelDown";
    }
}